Description

t variable is not used in optimal mode.

It should be surrounded by ifdef, otherwise tons of warnings when building.

History

#1 - 05/01/2012 04:32 PM - Miroslav Fidler

- Priority changed from Normal to Immediate

#2 - 05/12/2012 01:32 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Massimo Del Fedele

Weird:

template <class T>

void Value::SvoRegister(const char *name)

{

    dword t = GetValueTypeNo<T>();

    ASSERT(t < 255);

    SVO_FN(sval, T)

    svo[t] = &sval;

    AddName(t, name);

}

I would swear it is used in optimal mode too?!

#3 - 05/12/2012 01:34 PM - Miroslav Fidler

- Status changed from New to Ready for QA

Sry, wrong line. Fixed.

#4 - 05/14/2012 06:46 PM - Massimo Del Fedele

- Status changed from Ready for QA to In Progress

- Assignee changed from Massimo Del Fedele to Miroslav Fidler

Sorry, at least here :
template <class T>

T& Value::GetSmall() const

{

    dword t = GetValueTypeNo<T>();

    ASSERT(t < 255 && (t == STRING_V ? IsString() : Is((byte)t)));

    return *(T*)&data;

}

the problem is still present.

I recompiled it with an #ifdef and there are no warnings anymore.

#5 - 05/14/2012 08:27 PM - Miroslav Fidler

- Status changed from In Progress to Ready for QA

- Assignee changed from Miroslav Fidler to Massimo Del Fedele

And now?

#6 - 05/14/2012 10:47 PM - Massimo Del Fedele

- Status changed from Ready for QA to Approved

- % Done changed from 0 to 100

It's ok now.

Btw, I don't get any mail from redmine.... I keep missing your updates.

Max
